REMOVEPKG(8)

NAME
removepkg - Entfernt Slackware-Pakete.

ZUSAMMENFASSUNG
removepkg paketname

[ ROOT=/mnt ] removepkg [ -copy ] [ -keep ] [ -preserve ] [ -warn ] paketname

BESCHREIBUNG
removepkg entfernt ein vorher installiertes Slackware Paket, während der Fortschritt in die Standardausgabe geschrieben wird. Ein Paket kann entweder mit dem vollen Paketnamen (wie zu sehen in /var/log/packages/) oder dem Basis-Paketnamen spezifiziert sein. Das Paket foo-1.0-i486-1.tgz kann als Beispiel mit einem der folgenden Kommandos entfernt werden: removepkg foo-1.0-i486-1.tgz (auch anerkannt: .tbz, .tlz, .txz) removepkg foo-1.0-i486-1 removepkg foo.tgz removepkg foo Wenn Dateien gelöscht werden, analysiert removepkg den Inhalt der anderen auf deinem System installierten Pakete und wird nur die Dateien entfernen, die zu diesem Paket gehören. Gleichzeitig werden die Installations-Skripte aller anderen Pakete überprüft, um zu entscheiden, ob ein symbolischer Link von einem Paket entfernt werden soll oder nicht.

Entfernen eines Pakets (sowie eine Installation eines solchen) kann ein gefährliches Unterfangen sein. Aus diesem Grund ist die Option -warn verfügbar. Wenn Sie dies verwenden, wird removepkg nicht tatsächlich Dateien oder Links entfernen, sondern einen detaillierten Report davon liefern, was es tun würde, wenn das Paket tatsächlich entfernt werden würde. Es wird empfohlen, dass Sie dies tun (und vielleicht die Ausgabe an less durch eine Pipe leiten), bevor Sie Paket entfernen, um zu vergewissern, dass alles wichtige in einem Backup gesichert ist.

Wenn ein Paket entfernt wird, wird die originale Index-Datei von /var/log/packages nach /var/log/removed_packages und die zugehörigen Installationsskripte von /var/log/scripts nach /var/log/removed_scripts verschoben.

OPTIONEN

-warn paketname
    Generiert einen Bericht auf der Standardausgabe, welche Dateien und Verzeichnisse entfernt werden würden, aber entfernt aktuell keine Pakete.

-preserve paketname
    Wenn spezifiziert, wird der komplette Paket-Unterverzeichnisbaum in /var/log/setup/tmp/preserved_packages/paketname rekonstruiert.

-copy paketname
    Erstelle eine Kopie des Pakets unter /var/log/setup/tmp/preserved_packages/paketname, aber entferne es nicht. (gleicher Effekt wie -warn -preserve)

-keep
    Speichern der zwischenliegenden, von removepkg erstellten Dateien (delete_list, required_files, uniq_list, del_link_list, required_links, required_list). Größtenteils nützlich zum Debuggen.

Es ist möglich, ein Paket aus einem Dateisystem außer aus / zu entfernen, indem removepkg mit der Umgebungsvariable ROOT angegeben wird:

ROOT=/mnt removepkg paket

AUTOREN
Patrick J. Volkerding <volkerdi@slackware.com>, mit Unterstützung von Christian Franke <c.franke@acm.org>

SIEHE AUCH
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8)